class CreateAttachmentHistories < ActiveRecord::Migration
  def change
    create_table :attachment_histories do |t|
      t.integer :container_id
      t.string :container_type
      t.string :filename ,      :default => ""
      t.string :disk_filename, :default => ""
      t.integer :filesize,      :default => 0
      t.string :content_type, :default => ""
      t.string :digest    ,    :default => "",:limit=>40
      t.integer :downloads,    :default => 0
      t.integer :author_id
      t.datetime :created_on
      t.string :description
      t.string :disk_directory
      t.integer :attachtype
      t.integer :is_public
      t.integer :copy_from
      t.integer :quotes
      t.integer :version
      t.integer :version_id
    end
  end
end
